| Home · All Classes · All Namespaces · Modules · Functions · Files

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v

### - a -

- Account : Tp::Client::ChannelDispatchOperationInterface , Tp::Client::ChannelRequestInterface
- ApproverChannelFilter : Tp::Client::ClientApproverInterface
- AutomaticPresence : Tp::Client::AccountInterface
- AvailableSocketTypes : Tp::Client::ChannelTypeFileTransferInterface
- Avatar : Tp::Client::AccountInterfaceAvatarInterface

### - b -

- BypassApproval : Tp::Client::ClientHandlerInterface

### - c -

- Capabilities : Tp::Client::ClientHandlerInterface
- Channels : Tp::Client::ChannelDispatchOperationInterface , Tp::Client::ConnectionInterfaceRequestsInterface
- ChannelType : Tp::Client::ChannelInterface
- ConnectAutomatically : Tp::Client::AccountInterface
- Connection : Tp::Client::AccountInterface , Tp::Client::ChannelDispatchOperationInterface
- ConnectionStatus : Tp::Client::AccountInterface
- ConnectionStatusReason : Tp::Client::AccountInterface
- ContactAttributeInterfaces : Tp::Client::ConnectionInterfaceContactsInterface
- ContentHash : Tp::Client::ChannelTypeFileTransferInterface
- ContentHashType : Tp::Client::ChannelTypeFileTransferInterface
- ContentType : Tp::Client::ChannelTypeFileTransferInterface
- CreatedLocally : Tp::Client::MediaStreamHandlerInterface
- CurrentPresence : Tp::Client::AccountInterface

### - d -

- Date : Tp::Client::ChannelTypeFileTransferInterface
- DeliveryReportingSupport : Tp::Client::ChannelInterfaceMessagesInterface
- Description : Tp::Client::ChannelTypeFileTransferInterface
- DisplayName : Tp::Client::AccountInterface

### - e -

- Enabled : Tp::Client::AccountInterface

### - f -

- Filename : Tp::Client::ChannelTypeFileTransferInterface

### - g -

- GroupFlags : Tp::Client::ChannelInterfaceGroupInterface

### - h -

- HandledChannels : Tp::Client::ClientHandlerInterface
- HandleOwners : Tp::Client::ChannelInterfaceGroupInterface
- HandlerChannelFilter : Tp::Client::ClientHandlerInterface
- HasBeenOnline : Tp::Client::AccountInterface

### - i -

- Icon : Tp::Client::AccountInterface
- ImmutableStreams : Tp::Client::ChannelTypeStreamedMediaInterface
- InitialAudio : Tp::Client::ChannelTypeStreamedMediaInterface
- InitialOffset : Tp::Client::ChannelTypeFileTransferInterface
- InitialVideo : Tp::Client::ChannelTypeStreamedMediaInterface
- InitiatorHandle : Tp::Client::ChannelInterface
- InitiatorID : Tp::Client::ChannelInterface
- Interfaces : Tp::Client::ChannelDispatcherInterface , Tp::Client::ChannelDispatchOperationInterface , Tp::Client::AccountInterface , Tp::Client::ConnectionInterface , Tp::Client::ChannelInterface , Tp::Client::ClientInterface , Tp::Client::ConnectionManagerInterface , Tp::Client::AccountManagerInterface , Tp::Client::ChannelRequestInterface
- InvalidAccounts : Tp::Client::AccountManagerInterface

### - l -

- LocalPendingMembers : Tp::Client::ChannelInterfaceGroupInterface
- LocationAccessControl : Tp::Client::ConnectionInterfaceLocationInterface
- LocationAccessControlTypes : Tp::Client::ConnectionInterfaceLocationInterface

### - m -

- MaximumAvatarBytes : Tp::Client::ConnectionInterfaceAvatarsInterface
- MaximumAvatarHeight : Tp::Client::ConnectionInterfaceAvatarsInterface
- MaximumAvatarWidth : Tp::Client::ConnectionInterfaceAvatarsInterface
- Members : Tp::Client::ChannelInterfaceGroupInterface
- MessagePartSupportFlags : Tp::Client::ChannelInterfaceMessagesInterface
- MinimumAvatarHeight : Tp::Client::ConnectionInterfaceAvatarsInterface
- MinimumAvatarWidth : Tp::Client::ConnectionInterfaceAvatarsInterface

### - n -

- NATTraversal : Tp::Client::MediaStreamHandlerInterface
- Nickname : Tp::Client::AccountInterface
- NormalizedName : Tp::Client::AccountInterface

### - o -

- ObserverChannelFilter : Tp::Client::ClientObserverInterface

### - p -

- Parameters : Tp::Client::AccountInterface , Tp::Client::ChannelInterfaceTubeInterface
- PendingMessages : Tp::Client::ChannelInterfaceMessagesInterface
- PossibleHandlers : Tp::Client::ChannelDispatchOperationInterface
- PreferredHandler : Tp::Client::ChannelRequestInterface

### - r -

- RecommendedAvatarHeight : Tp::Client::ConnectionInterfaceAvatarsInterface
- RecommendedAvatarWidth : Tp::Client::ConnectionInterfaceAvatarsInterface
- Recover : Tp::Client::ClientObserverInterface
- RelayInfo : Tp::Client::MediaStreamHandlerInterface
- RemotePendingMembers : Tp::Client::ChannelInterfaceGroupInterface
- RequestableChannelClasses : Tp::Client::ConnectionInterfaceRequestsInterface
- Requested : Tp::Client::ChannelInterface
- RequestedPresence : Tp::Client::AccountInterface
- Requests : Tp::Client::ChannelRequestInterface

### - s -

- SelfHandle : Tp::Client::ChannelInterfaceGroupInterface , Tp::Client::ConnectionInterface
- Server : Tp::Client::ChannelTypeRoomListInterface
- Service : Tp::Client::ChannelTypeStreamTubeInterface
- Size : Tp::Client::ChannelTypeFileTransferInterface
- State : Tp::Client::ChannelInterfaceTubeInterface , Tp::Client::ChannelTypeFileTransferInterface
- Status : Tp::Client::ConnectionInterface
- Statuses : Tp::Client::ConnectionInterfaceSimplePresenceInterface
- STUNServers : Tp::Client::MediaStreamHandlerInterface
- SupportedAccountProperties : Tp::Client::AccountManagerInterface
- SupportedAvatarMIMETypes : Tp::Client::ConnectionInterfaceAvatarsInterface
- SupportedContentTypes : Tp::Client::ChannelInterfaceMessagesInterface
- SupportedSocketTypes : Tp::Client::ChannelTypeStreamTubeInterface

### - t -

- TargetHandle : Tp::Client::ChannelInterface
- TargetHandleType : Tp::Client::ChannelInterface
- TargetID : Tp::Client::ChannelInterface
- TransferredBytes : Tp::Client::ChannelTypeFileTransferInterface

### - u -

- UserActionTime : Tp::Client::ChannelRequestInterface

### - v -

- Valid : Tp::Client::AccountInterface
- ValidAccounts : Tp::Client::AccountManagerInterface